Bug 1272495 - RFE: should have option to disable cache expiration by yumex-dnf
Summary: RFE: should have option to disable cache expiration by yumex-dnf
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: yumex-dnf
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Lauridsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-16 14:37 UTC by Fred
Modified: 2016-05-16 16:22 UTC (History)
1 user (show)

Fixed In Version: 4.2.0 yumex-dnf-4.3.3-1.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-16 16:22:47 UTC
Type: Bug


Attachments (Terms of Use)

Description Fred 2015-10-16 14:37:58 UTC
Description of problem:
yumex-dnf allows the user to configure expiration of cache after 1-240 hours. There should also be an option to disable yumex-dnf control of the cache, such as by allowing the user to enter -1.

dnf allows for more fine-grained control of cache expiration (e.g. different expiration settings per repository -- particularly relevant since the fedora non-updates repo never changes), and some users would prefer to leave the cache control to dnf.

Use case: I have things set up outside of yumex-dnf so that dnf always keeps its cache up-to-date, yet with the default yumex-dnf settings, virtually every time I open yumex-dnf, it redownloads the repo data. This is a big deal for me because on my connection it takes 5-10 minutes to download the repo data. I have finally set yumex-dnf to only expire the cache every 10 days (the maximum value allowed), but this is still sub-optimal because yumex-dnf should never need to expire the cache with my setup.

Version-Release number of selected component (if applicable):
4.1.2-1

Comment 1 Tim Lauridsen 2015-11-18 11:56:09 UTC
Agree

Added upstream issue to track development
https://github.com/timlau/yumex-dnf/issues/76

Comment 3 Fedora Update System 2016-05-11 09:02:39 UTC
dnfdaemon-0.3.15-1.fc24 yumex-dnf-4.3.3-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-aa868f02e4

Comment 4 Fedora Update System 2016-05-12 09:41:36 UTC
dnfdaemon-0.3.15-1.fc24, yumex-dnf-4.3.3-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-aa868f02e4

Comment 5 Fedora Update System 2016-05-16 16:22:25 UTC
dnfdaemon-0.3.15-1.fc24, yumex-dnf-4.3.3-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.